%define Product CMFDynamicViewFTI
%define product cmfdynamicviewfti
%define name    zope-%{Product}
%define version 3.0.1
%define release %mkrel 4

%define zope_minver     2.10
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Product for dynamic views in CMF 1.5
License:    GPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}.tar.gz
Requires:    zope >= %{zope_minver}
Requires:    zope-CMF >= 2.1
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}

%description
CMFDynamicViewFTI is a product for dynamic views in CMF 1.5. The product
contains an additional base class for types and a new factory type information
(FTI).

The FTI contains two new properties for the default view method and
supplementary view methods. The queryMethodID functionality used for
alias lookups is enhanced to support a new keyword (dynamic view).

The BrowserDefaultMixin class adds some methods to classes. It is not required
to make use of the basic features but it is recommend to subclass your types
from the class to gain more functionality.




%prep
%setup -c -q

rm -rf `find -type d -name .svn`

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-4mdv2009.0
+ Revision: 263115
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.1-1mdv2008.1
+ Revision: 119980
- Release 3.0.1.

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-1mdv2008.0
+ Revision: 88529
- new version


* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 2.1-1mdv2007.0
+ Revision: 99699
- 2.1

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 2.0.0-1mdv2007.0
+ Revision: 54432
- update to 2.0.0
- Import zope-CMFDynamicViewFTI

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix  rpmlint warnings

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.3-1mdk
- 1.0.3

* Sun Oct 23 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.1-1mdk
- initial package

